Page MenuHomePhabricator

[Story] Reduce initialization time of Statementview
Closed, ResolvedPublic

Description

We would like to reduce initialization time of StatementView and it's sub widgets as it is a main cause of the total render time according to T125502: [Task] Investigate time spent for initialization of individual widgets

Event Timeline

Jonas raised the priority of this task from to Normal.
Jonas updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 11:56 AM
Tobi_WMDE_SW raised the priority of this task from Normal to High.Feb 2 2016, 2:10 PM
Tobi_WMDE_SW moved this task from Proposed to Backlog on the Wikidata-Sprint-2016-02-02 board.
Tobi_WMDE_SW set Security to None.
Agabi10 added a subscriber: Agabi10.Feb 3 2016, 2:44 PM

Change 269401 had a related patch set uploaded (by Adrian Lang):
Defer main snak SnakView initialization

https://gerrit.wikimedia.org/r/269401

Change 269401 merged by jenkins-bot:
Defer main snak SnakView initialization

https://gerrit.wikimedia.org/r/269401

Change 269962 had a related patch set uploaded (by Adrian Heine):
Defer sub-widget initialization in statementview

https://gerrit.wikimedia.org/r/269962

adrianheine updated the task description. (Show Details)Feb 11 2016, 2:25 PM

I'd consider this done when the last linked change is merged. It reduces loading time of big items by around 50% for me.

Change 269962 merged by jenkins-bot:
Defer sub-widget initialization in statementview

https://gerrit.wikimedia.org/r/269962

Lydia_Pintscher closed this task as Resolved.Feb 18 2016, 11:21 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher reassigned this task from Lydia_Pintscher to adrianheine.
Lydia_Pintscher moved this task from Review to Done on the Wikidata-Sprint-2016-02-16 board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
adrianheine closed this task as Resolved.Feb 23 2016, 9:07 AM
adrianheine moved this task from Backlog to Done on the Wikidata-Sprint-2016-02-16 board.